4

The videos that work properly in 10.04 are not working in 12.04.

haris@psycho:~/music$ file Captain\ Tsubasa\ 2\ NES\ -\ 21\ -\ Coimbra_s\ Theme.mp4 
Captain Tsubasa 2 NES - 21 - Coimbra_s Theme.mp4: ISO Media, MPEG v4 system, version 2

haris@psycho:~/music$ file Captain\ Tsubasa\ 2\ Nes\ Music\ -\ 01\ Opening.mp4 
Captain Tsubasa 2 Nes Music - 01 Opening.mp4: ISO Media, MPEG v4 system, version 2

haris@psycho:~/music$ file Batman\ \(NES\)\ Music\ -\ Continue\ Theme.mp4 
Batman (NES) Music - Continue Theme.mp4: ISO Media, MPEG v4 system, version 2

haris@psycho:~/music$ file Starship\ -\ Nothing_s\ Gonna\ Stop\ us\ Now\ \(Mannequin\)\ LYRICS.mp4 
Starship - Nothing_s Gonna Stop us Now (Mannequin) LYRICS.mp4: ISO Media, MPEG v4 system, version 2

The third and fourth videos are not even being played by Totem while for the second one, I can hear the audio but can't see the video. The first one plays well enough. Once again, all these videos work without any problems in 10.04.

Should I report this as a bug or can it be rectified?

9

For 12.04

Until the bug is fixed & atm there is no movement towards doing so we've tracked this down to a plugin in gstreamer0.10-plugins-bad, specifically libgstvideoparsersbad.so

So if desired you can move that plugin to a .bak & it should clear up decoding issues caused by this bug

For 64 bit install

sudo mv /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstvideoparsersbad.so /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstvideoparsersbad.so.bak

For 32 bit install

sudo mv /usr/lib/i386-linux-gnu/gstreamer-0.10/libgstvideoparsersbad.so /usr/lib/i386-linux-gnu/gstreamer-0.10/libgstvideoparsersbad.so.bak

What, if any, loss of function is unclear here, I've seen none Yet, obviously the hope is this bug will be addressed in 12.04, current report - https://bugs.launchpad.net/ubuntu/+source/gstreamer0.10/+bug/973014

The best self fix until bug is resolved is to patch & rebuild the bad plugins source. A quick howto here - http://ubuntuforums.org/showpost.php?p=12118375&postcount=6

  • I removed totem and made VLC my default. The above solution maybe useful for those who use totem and/or have problems while seeing file properties in nautilus for certain videos (including mp4) as addressed here: askubuntu.com/q/177202/78407 – Chirag Aug 19 '12 at 0:51
  • 3
    just to note. this issue affects - totem, banshee, gnome-sushi, minitube, transmageddon, in some cases the totem-mozilla plugin & while haven't tried likely parole – doug Aug 19 '12 at 4:39
1

you might not be having the codecs in 12.04 which you ahd in 10.04 so first you should try installing the right codec and see
try rhis to install all codecs sudo aptitude install ubuntu-restricted-extras

1

I have a solution that you can try.

Install only these:

gstreamer0.10-ffmpeg
gstreamer0.10-plugins-ugly

And uninstall gstreamer0.10-plugins-bad.

0

i would add the medibuntu repositories. Which adds a ton of nice to have media codecs for your distribution.

The instruction can be found here:

http://medibuntu.org/repository.php

  • I tried adding it and installing the codecs. But the problem still persists. vlc played the files perfectly though. So I guess its a bug in totem. – harisibrahimkv Apr 27 '12 at 11:38
  • If you do file a bug about Totem in 12.04 not playing .mp4 files, please post the bug reference here so that others can visit it and "star" it. – user25656 Apr 27 '12 at 12:15
0

I don't think it's a bug with totem.

I have managed to solve it with this:

mv ~/.gstreamer-0.10/registry*.bin ~/.gstreamer-0.10/registry*.bin.org

I got it from here.

0

Instead of removing the particular libgstvideoparsersbad.so, you could uninstall gstreamer0.10-plugins-bad and install gstreamer0.10-plugins-bad-multiverse (from the multiverse repository as the name suggests).

(I had the same problem with totem -> some MP4 files played, others not at all.)

  • 1
    Has nothing to do with the multiverse plugin which only adds encoding support. Better to either patch & rebuild the bad plugin or just remove the currently borked parser plugin as mentioned. The actual decoding is done thru the gstreamer ffmpeg plugin but the parser & other bad plugins do have value &are deps on some apps. – doug Jul 21 '12 at 6:59
0

I just install this package and work for me

   sudo apt-get install gstreamer0.10-ffmpeg gstreamer0.10-plugins-ugly

and remove this

  sudo apt-get remove gstreamer0.10-plugins-bad

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.